#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <stdint.h>
#include <pthread.h>
#include <fcntl.h>
#include "./head/func_extern.h"
#include "./head/mg3.h"
#include "./head/motor.h"
#include <errno.h>
#include "./head/control.h"

int main(void){
//	int fd1,fd2;
	printf("opening device...\n");
	fd1 = open(M_PORT_L, O_RDWR);
	if(fd1 < 0){
		if(errno == 3) printf("no such file\n");
		else if(errno == 13) printf("permission\n");
		else printf("other\n");
		fprintf(stderr, "fd1 open error\n");
		exit(-1);
	}
	fd2 = open(M_PORT_R, O_RDWR);
	if(fd2 < 0){
		fprintf(stderr, "fd2 open error\n");
		close(fd1);
		exit(-1);
	}
	printf("end\n");
	printf("send start\n");
	motor_send_control_packet(fd1,12,Kp,Ki);
	motor_send_control_packet(fd2,12,Kp,Ki);
	sleep(10);
	motor_send_stop_packet(fd1);
	motor_send_stop_packet(fd2);
	printf("finish!!\n");
	return 0;
}
